@import './detail-footer';
@import './detail-inline';

.detail-container {
  // height: calc(100vh - 45px); // screen height - bottom bar height
  // height: calc(100vh - 28px); // screen height - bottom bar height
  // margin-bottom: 50px;
  font-weight: 300;
  // overflow: scroll;
  // overflow-x: hidden;
  // overflow-y: scroll;

  h2,
  h3,
  h4,
  h5 {
    font-family: 'DIN Pro', $body-font-family;
  }

}

.date {
  @include font-size(13);
  color: $blueish-gray;
  margin: .5em 0 .3em;
}

.detail-header-image {
  margin-bottom: .5em;
}

.detail-content {
  img {
    margin: 10px auto 24px;
  }
  
  &.has-intro p{
    font-weight: 300;
    &:first-of-type {
      @include font-size(18);
      font-weight: bold;
    }
  }
}

.detail-stats {
  @include font-size(15);
  color: $medium-gray-2;
  display: flex;
  font-weight: normal;
  justify-content: space-between;
  margin: 20px auto;
  width: 100%;
}

.reaction {
  display: flex;

  .like,
  .dislike {
    font-weight: bold;
    margin-left: 10px;

    &::before {
      @extend %fontello;
      color: $dark-gray;
      content: '\F164'; 
      left: -28px;
      // position: absolute;
    }
  }

    .dislike::before {
      content: '\F165'; 
    }


  .reacted {
    &.like::before {
      color: $rate-up;
    }
    &.dislike::before {
      color: $rate-down;
    }
  }
}

//used in wiki details which has data lists
.detail-data-item {
  @include font-size(14);
  color: $black;
  display: flex;
  font-weight: normal;
  line-height: 2;
  text-transform: capitalize;

  .key {
    color: $medium-gray-2;
    // flex-grow: 1;
    // display: inline-block;
    min-width: 40%;
    // display: inline-table;
  }

  .val {
    // display: table-
  }
}

.h1-class-wiki{
  @include font-size(20);
  // @include line-height(26);
  font-family: 'DIN Pro', $body-font-family;
  // font-weight: bold;
  // letter-spacing: -1px;
  // margin: .5em 0;
  text-transform: capitalize;
}

table+.detail-content,
.detail-data-item+.detail-content {
  border-top: 1px solid $light-gray;
  padding: 1em 1em 0 1em;
  margin: 1em -1em 1em -1em;
}

